@echo off
REM File:	go-nice.bat
REM Purpose:	Nice method of (re)starting MailQ
REM -----------------------------------------------------
REM M Shaw 
REM 1.00 31/Oct/2013
REM 1.01 18/Sep/2014 Added SysInternals pslist wait loop
REM -----------------------------------------------------
REM Requires pslist.exe
REM Release the lock files which prevent an auto-shutdown
REM -----------------------------------------------------

del popserver.lck
del smtpserver.lck

REM Wait method using SysInternals pslist.exe
:loop
sleep 1
pslist.exe mailq >nul 2>&1
IF /I %ERRORLEVEL% equ 0 GOTO loop

REM Start the server (again)
start "MailQ (POP3)" "%~dp0mailq.exe" /pop %1 %2
start "MailQ (SMTP)" "%~dp0mailq.exe" /mda /mxa %1 %2

REM EOF